Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161145 - RFE: Add preset Code Formatter conventions for popular Open Source C/C++ styles
Summary: RFE: Add preset Code Formatter conventions for popular Open Source C/C++ styles
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-cdt
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnston
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 20:10 UTC by Dave Malcolm
Modified: 2018-06-25 06:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-25 06:22:31 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2005-06-20 20:10:25 UTC
Description of problem:
Go to: Window->Preferences->C/C++->Code Formatter

Version-Release number of selected component (if applicable):
eclipse-cdt-3.0.0_fc-0.M6.7

How reproducible:
100%

Actual results:
Only visible option is "(NONE)"

Expected results:
Would be nice to have these things: 
(i) editing system (similar to the JDT) with previews showing different
formattings of a sample of a code
(ii) add presets to cover the formatting conventions of the following major
C/C++ projects:
   - Linux Kernel
   - GNOME
   - KDE
   - OpenOffice.org
   - Mozilla
   - K&R
etc
(iii) ability to pick up on Emacs formatting conventions of this kind:
  /* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 8; tab-width: 8 -*- */
and to use them automatically

Comment 1 Dave Malcolm 2006-10-04 19:10:41 UTC
(iv) also to pick up on Vi formatting hint lines like the following:
# vim: sw=4 ts=4 sts=4 noet ai

Comment 2 Andrew Overholt 2007-04-16 20:13:15 UTC
This is something that would be nice to do, Jeff.  It should probably be done within the context of upstream but could be carried as a patch in our packages in the interim.

Comment 3 Jon Stanley 2008-04-23 20:29:32 UTC
Adding FutureFeature keyword to RFE's.

Comment 4 John Poelstra 2008-07-08 03:45:48 UTC
triaged

Comment 5 Alexander Kurtakov 2018-06-25 06:22:31 UTC
This stayed long enough without any interest.  If anything is about to happen here it will be upstream first. Please open a bug if still interested.


Note You need to log in before you can comment on or make changes to this bug.